nl.tudelft.simulation.examples.dsol.terminal

## Class Container

- java.lang.Object
- - nl.tudelft.simulation.examples.dsol.terminal.Container

All Implemented Interfaces:
  IntResourceRequestorInterface<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>

    public class Container
    extends Object
    implements IntResourceRequestorInterface<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>

The 'active' container object.

copyright (c) 2002-2018 Delft University of Technology.
BSD-style license. See DSOL License.

Version:
  Jul 25, 2018
Author:
  Peter Jacobs, Alexander Verbraeck

### Constructor Summary

Constructors
Constructor and Description
`Container(nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface.TimeDouble simulator, int containerNumber, QC qc, AGV agv, Ship ship)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `agvReady()`
`protected void` `checkPhase()`
`protected void` `qcReady()`
`void` `receiveRequestedResource(long requestedCapacity, IntResource<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble> resource)` receive the requested resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.examples.dsol.terminal.IntResourceRequestorInterface

`receiveRequestedResource`

### Constructor Detail

#### Container

    public Container(nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface.TimeDouble simulator,
                     int containerNumber,
                     QC qc,
                     AGV agv,
                     Ship ship)

Parameters:
  `simulator` - the simulator
  `containerNumber` - the container number
  `qc` - the QC resources
  `agv` - the AGV resources
  `ship` - the ship

### Method Detail

#### receiveRequestedResource

    public void receiveRequestedResource(long requestedCapacity,
                                         IntResource<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble> resource)
                                  throws RemoteException

receive the requested resource.

Specified by:
  `receiveRequestedResource` in interface `IntResourceRequestorInterface<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>`
Parameters:
  `requestedCapacity` - reflects the amount requested.
  `resource` - the requested resource.
Throws:
  `RemoteException` - on network failure.

#### agvReady

    protected void agvReady()

#### qcReady

    protected void qcReady()

#### checkPhase

    protected void checkPhase()